{% extends 'base.html' %}

{% block title %}Add a New Event{% endblock %}

{% block content %}
    <div class="container">
        <div class="row">
            <div class="col-6 offset-3">
                <h1 class="text-center my-3">Add an Event</h1>
                {% if error == True %}
                    <p class="text-danger">Duplicate Event Found!</p>
                {% endif %}

                <form action="{% url 'todolist:add_event' %}" method="post">
                    {% csrf_token %}

                    <div class="mb-3">
                        <label for="event_name">Event Name:</label>
                        <input 
                            type="text"
                            class="form-control"
                            id="event_name"
                            name="event_name"
                            value="{{ event_name }}"
                            maxlength="50"
                            required
                        >
                    </div>

                    <div class="mb-3">
                        <label for="description">Description:</label>
                        <input 
                            type="text"
                            class="form-control"
                            id="description"
                            name="description"
                            value="{{ description }}"
                            required
                        >
                    </div>

                    <div class="mb-3">
                        <label for="event_date">Event Date and Time:</label>

                        <div class="input-group date" id="datetimepicker1" data-target-input="nearest">
                            <input 
                            type="text"
                            class="form-control"
                            id="event_date"
                            name="event_date"
                            value="{{ event_date }}"
                            required
                        >
                            <div class="input-group-append" data-target="#datetimepicker1" data-toggle="datetimepicker">
                                <div class="input-group-text"><i class="fa fa-calendar"></i></div>
                            </div>
                        </div>
                        <script>
                            $(function () {
                                $("#datetimepicker1").datetimepicker({
                                    format: 'DD/MM/YYYY HH:mm',
                                });
                            });
                        </script>
                    </div>
                    

                    <div class="text-center">
                        <input type="submit" class="btn btn-success" value=" Add Event"
                        >
                    </div>

                </form>
            </div>
        </div>
    </div>
{% endblock %}